Executive Summary

Informations
Name CVE-2004-0977 First vendor Publication 2005-02-09
Vendor Cve Last vendor Modification 2017-10-11

Security-Database Scoring CVSS v3

Cvss vector : N/A
Overall CVSS Score NA
Base Score NA Environmental Score NA
impact SubScore NA Temporal Score NA
Exploitabality Sub Score NA
 
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:L/AC:L/Au:N/C:N/I:P/A:N)
Cvss Base Score 2.1 Attack Range Local
Cvss Impact Score 2.9 Attack Complexity Low
Cvss Expoit Score 3.9 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0977

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:11360
 
Oval ID: oval:org.mitre.oval:def:11360
Title: The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files.
Description: The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files.
Family: unix Class: vulnerability
Reference(s): CVE-2004-0977
Version: 5
Platform(s): Red Hat Enterprise Linux 3
CentOS Linux 3
Product(s):
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 3
Os 6
Os 2
Os 3
Os 1
Os 2

OpenVAS Exploits

Date Description
2008-09-24 Name : Gentoo Security Advisory GLSA 200410-16 (PostgreSQL)
File : nvt/glsa_200410_16.nasl
2008-09-04 Name : FreeBSD Ports: postgresql-contrib
File : nvt/freebsd_postgresql-contrib.nasl
2008-01-17 Name : Debian Security Advisory DSA 577-1 (postgresql)
File : nvt/deb_577_1.nasl
2005-11-03 Name : PostgreSQL insecure temporary file creation
File : nvt/postgresql_tempfile.nasl

Open Source Vulnerability Database (OSVDB)

Id Description
10941 PostgreSQL make_oidjoins_check Arbitrary File Overwrite

PostgreSQL contains a flaw that may allow a malicious user to overwrite files. The issue is triggered due to the "make_oidjoins_check" script creating temporary files insecurely. It is possible that the flaw may allow a malicious user to overwrite another user's files, resulting in a loss of integrity.

Nessus® Vulnerability Scanner

Date Description
2009-04-23 Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_6a164d842f7f11d9a9e70001020eed82.nasl - Type : ACT_GATHER_INFO
2006-01-15 Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-6-1.nasl - Type : ACT_GATHER_INFO
2005-02-16 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2005-150.nasl - Type : ACT_GATHER_INFO
2004-12-21 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2004-489.nasl - Type : ACT_GATHER_INFO
2004-12-14 Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2004-149.nasl - Type : ACT_GATHER_INFO
2004-11-10 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-577.nasl - Type : ACT_GATHER_INFO
2004-10-19 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200410-16.nasl - Type : ACT_GATHER_INFO
2004-10-04 Name : The remote service is vulnerable to an unspecified flaw.
File : postgresql_tempfile.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BID http://www.securityfocus.com/bid/11295
CONFIRM http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136300
DEBIAN http://www.debian.org/security/2004/dsa-577
GENTOO http://security.gentoo.org/glsa/glsa-200410-16.xml
MANDRAKE http://www.mandriva.com/security/advisories?name=MDKSA-2004:149
OPENPKG http://marc.info/?l=bugtraq&m=109910073808903&w=2
OVAL https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
REDHAT http://www.redhat.com/support/errata/RHSA-2004-489.html
TRUSTIX http://www.trustix.org/errata/2004/0050
UBUNTU https://www.ubuntu.com/usn/usn-6-1/
XF https://exchange.xforce.ibmcloud.com/vulnerabilities/17583

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
Date Informations
2020-05-23 00:15:55
  • Multiple Updates
2017-10-11 09:23:24
  • Multiple Updates
2017-07-11 12:01:32
  • Multiple Updates
2016-12-08 09:23:21
  • Multiple Updates
2016-10-18 12:01:23
  • Multiple Updates
2016-04-26 12:54:43
  • Multiple Updates
2014-02-17 10:28:13
  • Multiple Updates
2013-05-11 11:43:34
  • Multiple Updates